Jump to content
Sign in to follow this  
xzl

ANSWERED Problema Android

Recommended Posts

Hola Gente, estoy intentando configurar unity para desarrollar en android con cardboard. he instalado al iniciar me salta este problemaimagen1.png

por otro lado si intento importar GoogleVRForUnity me salta esto

imagen2.png

Alguien tiene idea de que esta mal?

Share this post


Link to post
Share on other sites

Ese GoogleVRForUnity de donde viene? Es descargado de git por ejemplo?

Qué opciones tienes puestas en el project settings en el apartado de player que corresponden con VR?

Edited by iRobb
  • Like 1

Share this post


Link to post
Share on other sites

Hola iRobb, el googleVRforUnity lo saque de GitHub

(si no puedo colgar el enlace avisadme y lo edito) https://github.com/googlevr/gvr-unity-sdk/releases, es probable que el error sea simplemente por la versión de unity(uso 2019.4.3)?

Por otro lada las settings las tengo de este modo, avisame si necesitas mas capturas. Porque no se como funciona exactamente.

settings.png

Share this post


Link to post
Share on other sites

Todo el Google VR es muy tricky. Si te vas a quedar en la 2019 de Unity y quieres desarrollar hoy, yo te recomiendo que cojas el paquete que es compatible del Package Manager llamado Google VR Android/iOS. Y migra a las 2019.4.5 para tener la última ya puestos. No te asustes por lo de "deprecated en la 2020" ya que se mantendrá en la 2019.4 ya que es LTS.

  • Like 1

Share this post


Link to post
Share on other sites

Lo de Cardboard es porque desde el editor de Unity no es compatible. Tienes que ejecutarlo en un dispositivo físico o emulado

  • Like 1

Share this post


Link to post
Share on other sites

Vale, muchas gracias, he probado con unity 2019.3.15 y funciona. Como hago para poner el hilo en resuelto?

Share this post


Link to post
Share on other sites
Sign in to follow this  

UnitySpain © Todos los derechos reservados 2020
×
×
  • Create New...